import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_SurfaceSer } from "./CT_SurfaceSer";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_FilteredSurfaceSer extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    constructor();
    a: CT_SurfaceSer;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
